post
https://api.test.kalixa.com/PaymentRedirectionService/PaymentService.svc/pox/initiatePaymentFromReference
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
initiatePaymentFromReferenceRequest fields
The fields of the initiatePaymentFromReferenceRequest are similar to those required for initiatePaymentRequest. New field is the originalPaymentID, and fields like user and paymentAccount are missing as they are copied from the referenced payment.
| field (type, required) | description |
|---|---|
| merchantID (stringID, required) | Merchant ID |
| shopID (stringID, required) | Shop ID |
| originalPaymentID (guid, required) | The ID of a previously executed payment (e.g. received in initiatePaymentResponse.payment.paymentID), from which values like user, paymentAccount will be taken for this new payment. |
| merchantTransactionID (stringID, required) | Merchant’s transaction ID, corresponding to the customer's order or any customer account-related activity at merchant (e.g. payout) |
| paymentMethodID (positiveInt, required) | The Payment Method ID used for this payment. See Payment Methods. |
| amount (positiveMoney) | Amount to be charged to the customer credit card or account at provider Note: the amount to be charged includes the shopFee (for description see the following row) Required for all payment methods except credit card verifications |
| shoppingCart (shoppingCart) | List of items of the shopping cart purchased by the customer. This parameter is mandatory for the payment method PayByInvoiceDeposit (235) |
| specificPaymentData (array of keyValueBasePairs) | Additional (e.g. method-specific) information to process the payment |
initiatePaymentFromReferenceResponse fields
initiatePaymentFromReferenceResponse is identical to initiatePaymentResponse.
| field (type, required) | description |
|---|---|
| payment (paymentWithState, required) | Represents the processed payment with state details |

